textures/watah_misc/atcsnonsolid
{
	qer_editorimage textures/watah_misc/floo.jpg
	q3map_lightimage textures/watah_misc/floo.jpg
	surfaceparm nonsolid
	
	{
		map textures/watah_misc/floo.jpg
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		depthFunc equal
		rgbGen identity
	}
}

textures/watah_misc/grate2a_trans
{
	qer_editorimage textures/watah_misc/grate2a.tga
	surfaceparm alphashadow
      surfaceparm	metalsteps		
      surfaceparm nomarks
      {
		map textures/watah_misc/grate2a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/watah_misc/qfraggel_GT_chain
{
	qer_editorimage textures/watah_misc/qfraggel_GT_chain.tga
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/watah_misc/qfraggel_GT_chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/watah_misc/grate1a_trans
{
	qer_editorimage textures/watah_misc/grate1a.tga
	surfaceparm alphashadow
      surfaceparm	metalsteps		
      surfaceparm nomarks
      {
		map textures/watah_misc/grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/watah_misc/lava1
	{
		qer_editorimage textures/watah_misc/lava1.tga
		qer_trans .5
            q3map_lightimage textures/watah_misc/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		
        q3map_surfacelight 500
		q3map_tessSize 64
		cull disable

		deformVertexes wave 200 sin 0 1 .5 .5

		{
			map textures/watah_misc/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/watah_misc/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/watah_misc/woda
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
//	q3map_surfacelight 50
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/wodawtf
{
	entityMergable
	cull none
	{
		map textures/watah_misc/xd2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/watah_misc/glass_01_s
{
	qer_editorimage textures/watah_misc/shiny.tga
	surfaceparm trans
	cull back
	qer_trans 0.5
	{
		map textures/watah_misc/trem2ref.jpg
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/watah_misc/ladder
{
	qer_trans .75
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/watah_lights/lllx
{
	qer_editorimage textures/watah_lights/xda.jpg
	q3map_lightimage textures/watah_lights/xdb.jpg
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/watah_lights/xda.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/watah_lights/xdb.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/watah_misc/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/watah_misc/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/watah_misc/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/watah_misc/darkglass.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

// 	Plain glass.

textures/watah_misc/plainglass
{
	surfaceparm nolightmap
	cull twosided
	{
		map textures/watah_misc/pg.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/watah_lights/bim
{
	qer_editorimage textures/watah_lights/pf.tga
	q3map_lightimage textures/watah_lights/pfb.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/watah_lights/pf.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/watah_lights/pfb.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/watah_misc/g1s
{
	qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/watah_misc/aaa.jpg
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
}

textures/watah_misc/tin
{
	qer_editorimage textures/watah_misc/tin.jpg
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/watah_misc/tin.jpg
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/watah_lights/e6v_light_s_2500
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_5000
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_7500
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 7500
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_10k
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_15k
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 15000
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_20k
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_lights/e6v_light_s_30k
{
	qer_editorimage textures/watah_lights/e6v_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map textures/watah_lights/e6v_light.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/watah_misc/e3grate_transt2
{
	qer_editorimage textures/watah_misc/grt_offmtl.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/watah_misc/grt_offmtl.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/watah_lights/e8tinylightblue2
{
	qer_editorimage textures/watah_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/watah_lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/watah_lights/e8tinylightblue3
{
	qer_editorimage textures/watah_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map textures/watah_lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/watah_lights/ceilin
{
	qer_editorimage textures/watah_lights/ea_ceiling1_1a.jpg
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/watah_lights/ea_ceiling1_1a.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/watah_lights/ea_ceiling1_1a.blend.jpg
		blendfunc add
	}
}

textures/watah_misc/waterlight_3000
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
  	q3map_surfacelight 3000
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/waterlight_7000
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
  	q3map_surfacelight 7000
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/fu_l
{
	qer_editorimage textures/watah_misc/fu.jpg
	q3map_lightimage textures/watah_misc/fu.jpg
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/watah_misc/fu.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/watah_misc/fu.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/watah_misc/waterlight_1000
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
  	q3map_surfacelight 1000
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/waterlight_100
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
  	q3map_surfacelight 100
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/waterlight_20
{
	qer_editorimage textures/watah_misc/xd.jpg
	qer_trans .5
	q3map_lightimage textures/watah_misc/xd.jpg
  	q3map_surfacelight 20
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/watah_misc/xd.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/watah_misc/skybox
{
	qer_editorimage textures/watah_misc/sb.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
	q3map_sun 0.9 0.9 1 75 0 25
	skyParms env/watah/skybox/sb - -
}

textures/watah_lights/proto_lightred_5k
{
	q3map_lightimage textures/niveus/proto_lightred_64.tga
	qer_editorimage textures/niveus/proto_lightred_64.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/niveus/proto_lightred_64.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/niveus/proto_lightred_64.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/watah_lights/proto_lightred_10k
{
	q3map_lightimage textures/niveus/proto_lightred_64.tga
	qer_editorimage textures/niveus/proto_lightred_64.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/niveus/proto_lightred_64.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/niveus/proto_lightred_64.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/watah_misc/portal 
{
	qer_editorimage textures/watah_misc/nafin.jpg        
	surfaceParm noLightmap 
        portal 
        { 
		map textures/watah_misc/nafin.jpg                
		blendFunc blend 
                alphaGen portal 256 
                rgbGen identityLighting 
                depthWrite 
        } 
}

textures/watah_misc/pfmonitor
{
	qer_editorimage textures/watah_misc/nafin.jpg

	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm trans
	portal
	{
		map textures/watah_misc/nafin.jpg
		tcMod scale 4 1
		blendfunc filter
		depthWrite
		alphaGen portal 512
	}
	{
		map textures/watah_misc/nafin.jpg
		blendfunc gl_dst_color gl_one
		tcMod scroll 1 0
	}
}

textures/watah_misc/pfmonitorek
{
	qer_editorimage textures/watah_misc/nafin.jpg

	noPicMip
	noMipMaps
	
	surfaceparm nolightmap
	surfaceparm playerclip
	portal
	{
		map textures/watah_misc/nafin.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 256
	}
}

textures/watah_misc/camera
{
	qer_editorimage textures/watah_misc/camera.jpg
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/watah_misc/camera.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    	}
}